MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes
sc::SCMatrixJointSubblockIter Class Reference
Inheritance diagram for sc::SCMatrixJointSubblockIter:

List of all members.

## Public Member Functions

| SCMatrixJointSubblockIter (const Ref< SCMatrixSubblockIter > &, const Ref< SCMatrixSubblockIter > &, const Ref< SCMatrixSubblockIter > &=0, const Ref< SCMatrixSubblockIter > &=0, const Ref< SCMatrixSubblockIter > &=0)
void | begin ()
| Start at the beginning.
int | ready ()
| Returns nonzero if there is another block.
void | next ()
| Proceed to the next block.
SCMatrixBlock * | block ()
| Return the current block.
SCMatrixBlock * | block (int i)

## Protected Attributes

int | niters_
Ref< SCMatrixSubblockIter > * | iters_

The documentation for this class was generated from the following file:

- block.h